#!/bin/sh

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>

# Ping a host to test internet connection

[ ! -e /etc/pingtest.conf ] && exit;
. /etc/pingtest.conf

# find the gateway interface
GWINTERFACE=`route -n | tail --lines=1 | awk ' { print $8 } '`;
# find the corresponding IP
#    IPADDR=`ifconfig | grep -A 1 $GWINTERFACE | tail --lines=1 | awk ' { print $2 } ' | sed  "s/addr:\(.*\)/(your ip address on $GWINTERFACE is \1)/" `;
IPADDR=`ifconfig | grep -A 1 $GWINTERFACE | tail --lines=1 | awk ' { print $2 } ' | sed  "s/addr:\(.*\)/\1/" `;
if [ -z $HostToPing ]; then
	STATUS="No%20Host%20to%20ping"
else
		ping_test=`ping -w 5 -c 1 -i 1 $HostToPing |awk '{print $7}'|grep time|sed -e 's|[^.]*=||g'`
	if [ $ping_test ]; then
		STATUS=$ping_test
	else
		STATUS=Down
	fi  
fi
# Display result
# TODO: add network cases
	if [ $ping_test ]; then
		echo "Status (status=ping:${STATUS}s interface=$GWINTERFACE address=$IPADDR)";
	else 
		echo "Status (status=${STATUS} interface=$GWINTERFACE address=$IPADDR)";
	fi
		exit
