#!/bin/bash

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
# Updates by Philippe Libat
#
# $Id: scripts.sh,v 1.3 2002/07/16 07:49:41 philippe Exp $
#

# Create links to ifcfg.pl, which will start or stop
# an ethernet interface on account of the link name
pushd scripts
# for ethernet interface
let i=0;
while [ $i -lt 5 ]; do
    ln -s    ifcfg.pl start-eth${i};
    ln -s    ifcfg.pl stop-eth${i};
    let i=$i+1;
done
# for modem line
    ln -s    ifcfg.pl start-ppp0;
    ln -s    ifcfg.pl stop-ppp0;
# for isdn line
    ln -s    ifcfg.pl start-ippp0;
    ln -s    ifcfg.pl stop-ippp0;
popd

# copy scripts
cp -dRf scripts $1/usr/share/naat/
chmod +x $1/usr/share/naat/

find $1/usr/share/naat/scripts -name CVS -exec rm -Rf {} \; 2>/dev/null
find $1/usr/share/naat/scripts -name "*.c" -exec rm -Rf {} \; 2>/dev/null
find $1/usr/share/naat/scripts -name "*.old" -exec rm -Rf {} \; 2>/dev/null
find $1/usr/share/naat/scripts -name "*.pl" -exec chmod +x {} \; 2>/dev/null
find $1/usr/share/naat/scripts -name "*.sh" -exec chmod +x {} \; 2>/dev/null
