#!/usr/bin/perl -W

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: adsl-auto-reconnect.pl,v 1.2 2002/06/11 16:53:11 philippe Exp $
#

# Add/remove an entry in the crontab to set ADSL automatic reconnection

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;


if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

my ($adsl_reconnect,$adsl_delay) = `config-wrapper.pl $transaction_name -g ADSLAutomaticReconnect -g ADSLAutomaticReconnectDelay`;
if ( $adsl_reconnect =~ /on/i ) {
    chomp $adsl_delay;
    # ugly
    `perl -ni -e 'print unless m!adsl-reconnect.sh!' /etc/crontab`;
    `echo "*/$adsl_delay * * * *    root    /usr/sbin/adsl-reconnect.sh" >> /etc/crontab`;
    `/sbin/service crond reload`;
} 
else {
    `perl -ni -e 'print unless m!adsl-reconnect.sh!' /etc/crontab`;
    `/sbin/service crond reload`;
}

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}


