#!/bin/sh
# return filtered list
# TODO: Integrate in backend of frontend
# $Id: getid.sh,v 1.1 2002/02/08 16:02:30 philippe Exp $
md5=$1
argument=$2
i=1
var=""
var2=""

filter ()
{
	md5=$1
	variable=$2
	shift 2
	result=`config-wrapper.pl $md5 -g $variable | tr ',' '\n'`

	for filter_value in "$@"; do
		result="`echo \"$result\" | grep -i $filter_value `"
	done
	echo "$result" | awk ' { print $1 }' | tr '\n' ',' | sed -e 's!,$!!'
	echo
	return 0
}

case "$#" in
	0|1) # Error: need md5 + variable
	echo "Usage $0 md5 variable [[filter attribut]=[filter value]]" >&2
	exit 1
	;;

	2) # equal to filte null display eveything
		md5=$1
		variable=$2
		var=`config-wrapper.pl $md5 -g $variable`
		echo $var
		exit 0
	;;

	*) # display only filter list
		filter $@
	;;

esac

