#!/usr/bin/perl -W

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
#
# $Id: hostname.pl,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $
#

# Update the machine hostname


# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
# WARNING: this script ALWAYS takes a transaction as a first argument
my $transaction_name = shift @ARGV if (@ARGV); 

if (@ARGV) {
    # here ARGV[0] is always the hostname parameter
    system ("sudo","/bin/hostname", $ARGV[0]);
} else {
    # read the hostname in /etc/sysconfig/network and update the system
    my ($var,$value) = split ('=',`sudo grep HOSTNAME /etc/sysconfig/network`);
    chomp $value;
    $value =~ s/\..*//;
    system ("sudo","/bin/hostname", $value);
}


