#!/usr/bin/perl -w

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>
# 
# $Id: squidGuard_backup.pl,v 1.3 2002/04/30 07:16:14 philippe Exp $
#

# squidGuard_backup.pl [transaction] --backup/--restore path/filename

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if ( @ARGV && $ARGV[0] !~ /^-/ );

my $backup_filename = "/var/www-naat/html/genfiles/WebProxyRulesBackup.tar.bz2";
my $restore_filename = "/var/lib/naat/WebProxyRulesUploaded.tar.bz2";

if ( $ARGV[0] eq "--backup"     || $ARGV[0] eq "-b" ) {

    if ($ARGV[1]) {
	$backup_filename = $ARGV[1];
    }

    system ("/bin/tar cpPf - /usr/share/squidGuard*/db | /usr/bin/bzip2 > $backup_filename");

} elsif ( $ARGV[0] eq "--restore" || $ARGV[0] eq "-r" ) {

    if ($ARGV[1]) {
	$restore_filename = $ARGV[1];
    }

    system ("/usr/bin/bzcat $restore_filename | /bin/tar xpPf  -");

}



