#/bin/sh

# Copyright (C) 2001 Mandrakesoft
# Author Vincent Saugey <vince@mandrakesoft.com>
#
# $Id: monitoring-activate.pl,v 1.1.1.1 2001/06/13 11:37:28 rchaillat Exp $
#

# Activate or desactivate the monitoring by rrdtool

# First get the transaction name (FIRST STEP IN ALL SCRIPTS)
my $transaction_name = shift @ARGV if @ARGV;


# command ligne to add to /etc/crontab
$ligne="0-59/5 * * * * root /usr/bin/monitor_script.pl"

if (! $transaction_name ) {
    $transaction_name = "$$";
    # initialize a backend transaction
    system ("config-wrapper.pl $transaction_name -i");
}

$status = `config-wrapper.pl $transaction_name -g DHCPServer`;

if [ "$status" -eq "yes" ]
then
   grep "$ligne" /etc/crontab || echo $ligne >> /etc/crontab;
else
    grep -v "$ligne" /etc/crontab > /tmp/crontab
    mv /tmp/crontab /etc/crontab
fi

if ( $transaction_name eq "$$" ) {
    # cleanup the transaction
    system ("config-wrapper.pl $transaction_name -a");
}
