#!/bin/bash

# Source the CHAIN.
[ -f /etc/snortsnarf.conf ] && . /etc/snortsnarf.conf

MODULE=snort
HREFDIR="/genfiles/modules/$MODULE"
WEBDIR="/var/www-naat/html/$HREFDIR"
RULESDIR="/etc/snort"
SYSLOG="/var/log/syslog"
PORTSCANLOG="/var/log/snort/portscan.log"

mkdir -p $WEBDIR

snortsnarf.pl -d $WEBDIR -homenet "$CHAIN" -cgidir $WEBDIR -rulesdir $RULESDIR $SYSLOG $PORTSCANLOG 2>&- >/dev/null
